
.super_input {
    position: relative;
    display: flex;
    align-items: center;

    label {
        position: absolute;
        top: 8px;
        left: 12px;
        font-size: 0.75rem;
        color: #666;
        /* background: white; */
        padding: 0;
        z-index: 2;
        pointer-events: none;
        &.warn{
            color: #ff0000;
        }
        &.good{
            color: #76b116;
        }
    }

    input {
        flex: 1;
        padding: 30px 85px 10px 12px;
        width: 100%;           
        border: 1px solid #ddd;
        border-radius: 8px;
        font-size: 1rem;
        box-sizing: border-box;

        &:focus {
            outline: none;
            border-color: #007bff;
            box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
        }

        &::placeholder {
            color: #999;
        }

        &:invalid{
            color: #ff0000;      
        }
    }

    button {
        position: absolute;
        right: 10px;
        top: 12px;
    
        padding: 8px 0;
        width: 65px;
        background-color: #0056b3;
        color: white;
        border: none;
        border-radius: 4px;
        font-size: 0.875rem;
        font-weight: 500;
        cursor: pointer;
        white-space: nowrap;
        transition: background-color 0.2s;
        z-index: 1;
        bottom: 12px;

        &:hover {
            background-color: #034a96;
        }
        &.shadow{
            opacity: 0.05;
            filter: grayscale(1);
            color: #666;
            cursor: default;
        }
        &.faded{
            opacity: 0.15;
            filter: grayscale(1);
            color: #fff;            
        }
        &.calling{
            opacity: 0.25;            
            background: linear-gradient(90deg, #dedede 25%, #b1b1b1 50%, #dedede 75%);
            background-size: 200% 100%;
            animation: callingLoader 1.5s ease-in-out infinite;
            cursor: default;
            color: transparent;
        }
    }

    .icons{

        .tick {
            position: absolute;
            right: 29px;
            top: 19px;
            z-index: 2;
            display: inline-block;           
            color: #cdcdcd;
            font-weight: bold;
            font-size: 1rem;
            border-radius: 20px;
            background: #fff;
            padding: 3px 6px;           
            pointer-events: none;                   
            opacity: 1;
            transform: scale(1);
            visibility: visible;
            animation: tickBounce 0.5s ease forwards;                    
        }
    }
}            

@keyframes tickBounce {
    0% {                
        transform: scale(0.5);
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
    /* 100% {
        transform: scale(0.5);
        opacity: 0;
    } */
}

@keyframes callingLoader {
    0% {
        background-position: 200% 0;
    }
    100% {
        background-position: -200% 0;
    }
}